%define realname sqlite
%define realver 3070701
%define rpmver %(echo %{realver}|sed -e "s/00//g" -e "s/0/./g")

%define	major 0
%define libname	%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Summary:	C library that implements an embeddable SQL database engine
Name:		sqlite3
Version:	%rpmver
%define subrel 1
Release:	%mkrel 0
License:	Public Domain
Group:		System/Libraries
URL:		http://www.sqlite.org/
Source0:	http://www.sqlite.org/%{realname}-autoconf-%{realver}.tar.gz
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

%package -n	%{libname}
Summary:	C library that implements an embeddable SQL database engine
Group:		System/Libraries

%description -n	%{libname}
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}_ %{major} -d

%description -n	%{develname}
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the static %{libname} library and its header
files.

%package -n	%{staticdevelname}
Summary:	Static development library for the %{name} library
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}_ %{major} -d -s

%description -n	%{staticdevelname}
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the static %{libname} library.

%package	tools
Summary:	Command line tools for managing the %{libname} library
Group:		Databases
Requires:	%{libname} = %{version}-%{release}

%description	tools
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains command line tools for managing the
%{libname} library.

%prep
%setup -q -n %{realname}-autoconf-%{realver}

%build
%serverbuild

export CFLAGS="${CFLAGS:-%optflags} -DSQLITE_ENABLE_COLUMN_METADATA=1 -DSQLITE_ENABLE_FTS3=3 -DSQLITE_ENABLE_RTREE=1 -Wall -DNDEBUG=1 -DSQLITE_SECURE_DELETE=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY=1"

%configure2_5x	--enable-threadsafe \
	--enable-dynamic-extensions
# rpath removal
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%attr(0644,root,root) %{_includedir}/*.h
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/lib*.a

%files tools
%defattr(-,root,root)
%{_bindir}/sqlite3
%{_mandir}/man1/*


%changelog
* Fri Feb 03 2012 Oden Eriksson <oeriksson@mandriva.com> 3.7.7.1-0.1mdv2010.2
- backported for firefox-10.0

* Fri Sep 23 2011 Alexander Barakin <abarakin@mandriva.org> 3.7.7.1-0mdv2011.0
+ Revision: 701128
- fix #64245

* Sat Jun 25 2011 Funda Wang <fwang@mandriva.org> 3.7.7-1
+ Revision: 687071
- update tarball
- update to new version 3.7.7

* Fri May 20 2011 Funda Wang <fwang@mandriva.org> 3.7.6.3-2
+ Revision: 676386
- real 3.7.6.3

* Fri May 20 2011 Funda Wang <fwang@mandriva.org> 3.7.6.3-1
+ Revision: 676383
- update to new version 3.7.6.3

* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 3.7.6.2-1
+ Revision: 655050
- new version 3.7.6.2
- new version 3.7.6.1

* Sat Feb 26 2011 Funda Wang <fwang@mandriva.org> 3.7.5-2
+ Revision: 640009
- rebuild

* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 3.7.5-1
+ Revision: 634591
- new version 3.7.5

* Wed Jan 26 2011 Funda Wang <fwang@mandriva.org> 3.7.4-1
+ Revision: 632845
- New version 3.7.4
- drop old patches due to tarball change

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - cleanups
    - Support a system-wide lemon template (P2, from fedora)

* Fri Oct 08 2010 Funda Wang <fwang@mandriva.org> 3.7.3-1mdv2011.0
+ Revision: 584138
- update to new version 3.7.3

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 3.7.2-1mdv2011.0
+ Revision: 572572
- update to new version 3.7.2

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 3.7.1-2mdv2011.0
+ Revision: 572113
- bump rel
- force reconf
- update to new version 3.7.1

* Sat Aug 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 3.7.0.1-2mdv2011.0
+ Revision: 571567
- enable SQLITE_ENABLE_UNLOCK_NOTIFY, needed for upcoming Firefox-4.0
- Patch1: link against ldl
- enable dynamic load of extensions
- spec file clean

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 3.7.0.1-1mdv2011.0
+ Revision: 566082
- update to new version 3.7.0.1

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 3.7.0-2mdv2011.0
+ Revision: 560903
- provides versioned package
- update to new version 3.7.0

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6.23.1-2mdv2010.1
+ Revision: 532594
- make it backportable

* Tue Mar 30 2010 Funda Wang <fwang@mandriva.org> 3.6.23.1-1mdv2010.1
+ Revision: 529677
- update to new version 3.6.23.1

* Wed Mar 10 2010 Funda Wang <fwang@mandriva.org> 3.6.23-1mdv2010.1
+ Revision: 517371
- new verison 3.6.23

* Mon Feb 08 2010 Olivier Thauvin <nanardon@mandriva.org> 3.6.22-2mdv2010.1
+ Revision: 502493
- build with SECURE-DELETE to ensure data are really deleted, this may slow down software using sqlite3
  (https://bugs.launchpad.net/ubuntu/+source/sqlite3/+bug/457791)

* Wed Jan 06 2010 Funda Wang <fwang@mandriva.org> 3.6.22-1mdv2010.1
+ Revision: 486701
- new version 3.6.22

* Tue Dec 08 2009 Funda Wang <fwang@mandriva.org> 3.6.21-1mdv2010.1
+ Revision: 474641
- new version 3.6.21

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 3.6.20-1mdv2010.1
+ Revision: 460613
- New verison 3.6.20

* Thu Oct 22 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.6.18-2mdv2010.0
+ Revision: 458665
- Correct crash caused in some bookmarks files (corrects #53408)

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.18-1mdv2010.0
+ Revision: 438609
- update to new version 3.6.18

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.17-1mdv2010.0
+ Revision: 415220
- Update to new version 3.6.17

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.16-1mdv2010.0
+ Revision: 400839
- Disable test suite because 2 tests fail
  (upstream issue http://www.sqlite.org/cvstrac/tktview?tn=3951,39 )

  + Funda Wang <fwang@mandriva.org>
    - new version 3.6.16

* Mon Jun 15 2009 Funda Wang <fwang@mandriva.org> 3.6.15-1mdv2010.0
+ Revision: 385965
- New version 3.6.15

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.14.2-1mdv2010.0
+ Revision: 379976
- update to new version 3.6.14.2

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.14.1-1mdv2010.0
+ Revision: 377704
- update to new version 3.6.14.1

* Thu May 07 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.14-1mdv2010.0
+ Revision: 373006
- Update to new version 3.6.14
- Use sed hack to fix configure script which was not updated for 3.6.14

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 3.6.13-1mdv2010.0
+ Revision: 369877
- New version 3.6.13

* Wed Feb 25 2009 Oden Eriksson <oeriksson@mandriva.com> 3.6.11-2mdv2009.1
+ Revision: 344713
- rebuilt against new readline

* Fri Feb 20 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.11-1mdv2009.1
+ Revision: 343490
- Add the right patch to fix linking
- Update to new version 3.6.11
- Re-add tcl module linking patch, upstream decided to drop it again
  because BSD does not like it...

* Fri Feb 13 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.10-2mdv2009.1
+ Revision: 340130
- Enable RTREE, FTS3 and column metadata features (bug #47051)
- Don't package README file in lib package: it breaks simultaneous
  of 64 and 32 bit library, and it does not contain anything useful

* Thu Jan 15 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.10-1mdv2009.1
+ Revision: 329987
- Update to new version 3.6.10
- Remove all patches. They were reviewed by upstream and either
  integrated or rejected:
  * tcl module linking patch: integrated upstream
  * tcl 8.6 patch: the old patch was wrong, a fixed one was integrated
    upstream
  * string format patch: integrated upstream
  * lemon snprintf patch: still considered buggy by upstream, so rejected
- Update to new version 3.6.9
- Fix Patch0 being defined twice, drop old patch which disables doc
  build from tcl
- Rediff patch to prevent adding major to tcl module
- Fix build with -Werror=format-security
- Add back updated and hopefully fixed
  sqlite-3.6.6.2-lemon-snprintf.patch from Fedora

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 3.6.6.2-2mdv2009.1
+ Revision: 310804
- better patch comment
- rebuild with new tcl
- add tcl86.patch (fix build with tcl 8.6)

* Thu Nov 27 2008 Frederik Himpe <fhimpe@mandriva.org> 3.6.6.2-1mdv2009.1
+ Revision: 307313
- Update to new version 3.6.6.2

* Tue Nov 25 2008 Olivier Thauvin <nanardon@mandriva.org> 3.6.6.1-1mdv2009.1
+ Revision: 306511
- 3.6.6.1

* Thu Nov 20 2008 Frederik Himpe <fhimpe@mandriva.org> 3.6.6-1mdv2009.1
+ Revision: 305233
- Update to new version 3.6.6

* Wed Nov 12 2008 Frederik Himpe <fhimpe@mandriva.org> 3.6.5-1mdv2009.1
+ Revision: 302564
- Update to new version 3.6.5

* Wed Oct 15 2008 Frederik Himpe <fhimpe@mandriva.org> 3.6.4-1mdv2009.1
+ Revision: 294066
- Update to new version 3.6.4
- Remove 2 patches merged upstream (pkgconfig fix and tcl version
  fix)

* Mon Sep 15 2008 Frederik Himpe <fhimpe@mandriva.org> 3.6.1-3mdv2009.0
+ Revision: 285038
- Remove the lemon snprintf patch from Debian: according to upstream
  developers on the sqlite-dev mailing list, this patch is broken

* Thu Aug 21 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6.1-2mdv2009.0
+ Revision: 274961
- added the lemon sub package and patch from debian

* Wed Aug 06 2008 Frederik Himpe <fhimpe@mandriva.org> 3.6.1-1mdv2009.0
+ Revision: 264612
- Update to new version 3.6.1
- Re-enable test suite

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 3.6.0-1mdv2009.0
+ Revision: 238167
- New version 3.6.0

* Tue Jun 10 2008 Pixel <pixel@mandriva.com> 3.5.9-2mdv2009.0
+ Revision: 217374
- don't wrongly link everything with -ltcl
- tcl-sqlite3 need the exact same libsqlite it was built with
- patch2: tcl module need no version, and make it explicit it is a DSO module
  (thus allowing libtool to drop --no-undefined)
- patch3: fix loading tcl module (was wrong version, debian has it too)
- add patch1 from fedora (debian has it too)
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 3.5.9-1mdv2009.0
+ Revision: 213353
- New version 3.5.9

* Tue Apr 15 2008 Funda Wang <fwang@mandriva.org> 3.5.7-1mdv2009.0
+ Revision: 193588
- New version 3.5.7

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 3.5.6-2mdv2008.1
+ Revision: 171123
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 3.5.6-1mdv2008.1
+ Revision: 163416
- New version 3.5.6

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 3.5.4-1mdv2008.1
+ Revision: 120488
- New version 3.5.4

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 3.5.3-1mdv2008.1
+ Revision: 116681
- New version 3.5.3

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 3.5.2-1mdv2008.1
+ Revision: 106523
- New version 3.5.2

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 3.5.1-1mdv2008.1
+ Revision: 98250
- New version 3.5.1

* Wed Aug 15 2007 Funda Wang <fwang@mandriva.org> 3.4.2-1mdv2008.0
+ Revision: 63742
- New version 3.4.2

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 3.4.1-1mdv2008.0
+ Revision: 54652
- new version

  + Michael Scherer <misc@mandriva.org>
    - fix rpmlint warning about .h belonging to non standard uid mandrake

* Mon Jun 25 2007 Funda Wang <fwang@mandriva.org> 3.4.0-1mdv2008.0
+ Revision: 43988
- New upstream version

* Mon Jun 25 2007 Funda Wang <fwang@mandriva.org> 3.3.17-5mdv2008.0
+ Revision: 43951
- fix pkgconfig file permission

* Mon Jun 25 2007 Funda Wang <fwang@mandriva.org> 3.3.17-4mdv2008.0
+ Revision: 43937
- Rebuild to fix pkgconfig

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 3.3.17-3mdv2008.0
+ Revision: 43092
- new devel library policy

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 3.3.17-2mdv2008.0
+ Revision: 19100
- patch0 to violently disable doc build from tcl due to nasty bug in latest tclshell

  + Oden Eriksson <oeriksson@mandriva.com>
    - 3.3.17 (fixes #30462)


* Sat Dec 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.8-1mdv2007.0
+ Revision: 98199
- new version

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 3.3.6-2mdv2007.0
+ Revision: 54874
- rebuild
- Import sqlite3

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.6-1mdv2007.0
- 3.3.6
- move tests to %%check stage, also disable it

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 3.3.5-2mdk
- fix buildrequires

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.5-1mdk
- New release 3.3.5

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Aug 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.2-2mdk
- aliasing fixes
- tcl scripts are always in /usr/lib/tcl*

* Wed Jul 20 2005 Olivier Thauvin <nanardon@mandriva.org> 3.2.2-1mdk
- 3.2.2

* Tue Feb 08 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0.8-1mdk
- make a rpm for sqlite3, do not update sqlite because file format has changed

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.15-5mdk
- patch2: fix test suite for differences in double precision float implementation

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.8.15-4mdk
- rebuild for new readline

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.15-3mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.15-2mdk
- lib64 fixes

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.15-1mdk
- New release 2.8.15

* Tue Oct 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.14-3mdk
- rebuild (due to missing devel package)

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.14-2mdk
- backport some 64-bit related fixes for the testsuite
- add libsqlite-static-devel, sqlite-static-devel provides

* Sat Jun 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.14-1mdk
- 2.8.14 
- fix P0
- run the tests

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.13-3mdk
- rebuilt with gcc v3.4.x

* Sun May 16 2004 Luca Berra <bluca@vodka.it> 2.8.13-2mdk 
- lib64 install fixes

* Mon May 03 2004 Luca Berra <bluca@vodka.it> 2.8.13-1mdk 
- 2.8.13
- dropped p0 (merged upstream)

